Loading...
Searching...
No Matches
CPowerContainerObjectImpl Class Reference
Inheritance diagram for CPowerContainerObjectImpl:
[legend]

## Public Member Functions

| CPowerContainerObjectImpl (ObjectInterfaceTypes &types)
void | SetEnergyLevel (float level) override
| Set energy level (percentage), value in range [0..1].
float | GetEnergyLevel () override
| Get energy level (percentage), value in range [0..1].
Public Member Functions inherited from CPowerContainerObject
| CPowerContainerObject (ObjectInterfaceTypes &types)
virtual void | SetEnergy (float energy)
| Set amount of energy in the container, value in range [0..GetCapacity()].
virtual float | GetEnergy ()
| Get amount of energy in the container, value in range [0..GetCapacity()].
virtual float | GetCapacity ()=0
| Return capacity of this power container.
virtual bool | IsRechargeable ()=0
| Returns true if this power container can be recharged.

## Member Function Documentation

## SetEnergyLevel()

void CPowerContainerObjectImpl::SetEnergyLevel | ( | float | level | ) |

override virtual

Set energy level (percentage), value in range [0..1].

Implements CPowerContainerObject.

## GetEnergyLevel()

float CPowerContainerObjectImpl::GetEnergyLevel | ( |  | ) |

override virtual

Get energy level (percentage), value in range [0..1].

Implements CPowerContainerObject.

The documentation for this class was generated from the following files:

- src/object/implementation/power_container_impl.h
- src/object/implementation/power_container_impl.cpp